%define name	gammapage
%define version	0.5.1
%define release %mkrel 2

Summary: 	A gamma-adjusting utility
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		http://www.pcbypaul.com/software/dl/%{name}-%{version}.tar.xz
Source1:        GAMMApage.png
URL:		http://www.pcbypaul.com/software/GAMMApage.html
License:	GPL
Group:		System/Configuration/Hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildArch:      noarch
Requires:       gtk+2
Requires:       python >= 2.6
Requires:       pygtk2.0
Requires:       pango



%description
A gamma-adjusting utility for your monitor. Written in Python using GTK and pyGTK. 
Able to adjust gamma on the fly and save settings to be used at each login (on a per-user basis. 
GAMMApage will only write to the user's home directory.) 


%prep
%setup -q


%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT 
python setup.py install --root=$RPM_BUILD_ROOT


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=GAMMApage
Comment=A gamma-adjusting utility for your monitor.
Exec=GAMMApage
Icon=GAMMApage
Categories=System;X-MandrivaLinux-System-Configuration-Hardware;
EOF

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m  644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files 
%defattr(-,root,root)
%_bindir/GAMMApage
%{_datadir}/pixmaps/GAMMApage.png
%{_datadir}/applications/%{name}.desktop
%py_platsitedir/*.egg-info

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.5.1-2pclos2010
- Update

* Sun Jul 19 2009 slick50 <lxgator@gmail.com> 0.5.1-1-pclos2009
- initial build 

